Subject: Re: Running tcsh in rxvt
From: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 13 Sep 2001 15:03:20 -0400

At 02:49 PM 9/13/2001, Jerrad Pierce wrote:
> >What's the matter with "rxvt -e tcsh -l" ?
>As I mentioned in the original post;
>no parsing of .cshrc, no history, no substitution.

Did you try the -l flag I put in my response?  You didn't
mention it in your original message, which is why I suggested
it.  You won't get the parsing of the ~/.cshrc without it.

> >How so?  Works fine for me.
>rxvt window pops up then exits
>

OK, must be a local installation difference.  Like I said, it 
works fine here for me.  The only time that I got something similar
to what you describe was when I mistakenly put double quotes around
the "tcsh -l" in rxvt invocation I suggested.  Obviously that was an
error which made rxvt exit immediately...

>My install list is (updated at noon today):
>cygwin.lst.gz
>clear.lst.gz
>cygrunsrv.lst.gz
>bash.lst.gz
>fileutils.lst.gz
>findutils.lst.gz
>gzip.lst.gz
>inetutils.lst.gz
>installed.db
>installed.db.old
>last-mirror
>less.lst.gz
>login.lst.gz
>lynx.lst.gz
>man.lst.gz
>ncftp.lst.gz
>ncurses.lst.gz
>openssh.lst.gz
>readline.lst.gz
>regex.lst.gz
>rxvt.lst.gz
>sh-utils.lst.gz
>tar.lst.gz
>tcsh.lst.gz
>termcap.lst.gz
>textutils.lst.gz
>time.lst.gz
>timestamp
>w32api.lst.gz
>wget.lst.gz
>which.lst.gz
>zip.lst.gz
>
>-- 
>H4sICNoBwDoAA3NpZwA9jbsNwDAIRHumuC4NklvXTOD0KSJEnwU8fHz4Q8M9i3sGzkS7BBrm
>OkCTwsycb4S3DloZuMIYeXpLFqw5LaMhXC2ymhreVXNWMw9YGuAYdfmAbwomoPSyFJuFn2x8
>Opr8bBBidccAAAA=
>--
>MOTD on Sweetmorn, the 37th of Bureaucracy, in the YOLD 3167:
>"My girlfriend says that I need help my boyfriend says I'd be better off dead..." --Therapy?, Troublegum

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/